FUTEX_WAIT_QUEUE_ME(9)

NAME
futex_wait_queue_me - queue_me and wait for wakeup, timeout, or signal

SYNOPSIS

void futex_wait_queue_me(struct futex_hash_bucket * hb, struct futex_q * q, struct hrtimer_sleeper * timeout);

ARGUMENTS

hb
    the futex hash bucket, must be locked by the caller

q
    the futex_q to queue up on

timeout
    the prepared hrtimer_sleeper, or null for no timeout

AUTHOR

Rusty Russell <rusty@rustcorp.com.au>
    Author.

COPYRIGHT